%{?nodejs_find_provides_and_requires}

# Tests fail inside Koji due to terminal environment.
%global enable_tests 0

Name:       nodejs-chalk
Version:    1.1.1
Release:    4%{?dist}
Summary:    Terminal string styling done right
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/sindresorhus/chalk
Source0:    http://registry.npmjs.org/chalk/-/chalk-%{version}.tgz
Source1:    https://raw.githubusercontent.com/chalk/chalk/8b554e254e89c85c1fd04dcc444beeb15824e1a5/test.js
Source2:    https://raw.githubusercontent.com/chalk/chalk/8b554e254e89c85c1fd04dcc444beeb15824e1a5/license

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
BuildRequires:  npm(ansi-styles)
BuildRequires:  npm(has-color)
BuildRequires:  npm(strip-ansi)
BuildRequires:  npm(require-uncached)
BuildRequires:  npm(has-ansi)
%endif

%description
%{summary}.


%prep
%setup -q -n package
cp -p %{SOURCE1} .
cp -p %{SOURCE2} .

%nodejs_fixdep has-color
%nodejs_fixdep ansi-styles
%nodejs_fixdep strip-ansi
%nodejs_fixdep supports-color


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/chalk
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/chalk

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license license
%{nodejs_sitelib}/chalk


%changelog
* Fri Oct 23 2015 Jared Smith <jsmith@fedoraproject.org> - 1.1.1-4
- Fix dependency version on npm(strip-ansi)

* Fri Oct 23 2015 Jared Smith <jsmith@fedoraproject.org> - 1.1.1-3
- Fix dependency version on npm(supports-color)

* Thu Oct 22 2015 Jared Smith <jsmith@fedoraproject.org> - 1.1.1-1
- Update to upstream 1.1.1 release

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Apr 20 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.4.0-2
- fix versioned dependencies

* Thu Mar 13 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.4.0-1
- initial package
